From f8213542976dac49e2f061099c82aceb9f472bf6 Mon Sep 17 00:00:00 2001
From: Samay Sharma <smilingsamay@gmail.com>
Date: Mon, 6 Feb 2023 15:31:48 -0800
Subject: [PATCH v8 1/5] Make minor additions and corrections to meson docs

This commit makes a few corrections to the meson docs
and adds a few instructions and links for better clarity.
---
 doc/src/sgml/installation.sgml | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 0ed35d99e9..97ee0a04a3 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2057,8 +2057,7 @@ meson setup build -Dssl=openssl
 <screen>
 meson configure -Dcassert=true
 </screen>
-    <command>meson configure</command>'s commonly used command-line options
-    are explained in <xref linkend="meson-options"/>.
+    Commonly used build options for <command>meson configure</command> (and <command>meson setup</command>) are explained in <xref linkend="meson-options"/>.
    </para>
   </step>
 
@@ -2078,6 +2077,13 @@ ninja
     processes used with the command line argument <literal>-j</literal>.
    </para>
 
+   <para>
+    If you want to build the docs, you can type:
+<screen>
+ninja docs
+</screen>
+   </para>
+
    <para>
     It should be noted that after the initial configure step,
     <command>ninja</command> is the only command you ever need to type to
@@ -2118,9 +2124,15 @@ ninja
 <userinput>meson test</userinput>
 </screen>
     (This won't work as root; do it as an unprivileged user.)
-    See <xref linkend="regress"/> for
-    detailed information about interpreting the test results. You can
-    repeat this test at any later time by issuing the same command.
+    You can repeat this test at any later time by issuing the same command.
+   </para>
+
+   <para>
+    <literal>meson test</literal> also provides a number of additional options
+    which can be found in the
+    <ulink url="https://mesonbuild.com/Unit-tests.html#testing-tool">meson test documentation</ulink>.
+    You can also see <xref linkend="regress"/> for
+    detailed information about interpreting the test results.
    </para>
 
    <para>
@@ -2199,8 +2211,8 @@ ninja install
     to get one that is).  The options not covered here are meant for advanced
     use-cases, and are documented in the standard <ulink
     url="https://mesonbuild.com/Commands.html#configure">Meson
-    documentation</ulink>.  These arguments can be used with <command>meson
-    setup</command> as well.
+    documentation</ulink>.  These options can be used with <command>meson
+    configure</command> as well.
    </para>
 
    <sect3 id="meson-options-locations">
-- 
2.38.1

